.BG
.FN rmvnorm
.TL
Simulate from a multivariate normal distribution
.DN
Produces one or more samples from the specified
multivariate normal distribution.
.CS
mvrnorm(n=1, mu, Sigma)
.RA
.AG n
the number of samples required.
.OA
.AG mu
a vector giving the means of the variables
.AG Sigma
a positive-definite symmetric matrix specifying the covariance matrix
of the variables.
.RT
If `n = 1' a vector of the same length as `mu', otherwise an
`n' by `length(mu)' matrix with one sample in each row.
.SE
Causes creation of the dataset `.Random.seed' if it does
not already exist, otherwise its value is updated.
.DT
The matrix decomposition is done via `eigen'; although a Choleski
decomposition might be faster, the eigendecomposition is 
stabler.  The help for `rnorm' has an alternative version using
`svd', which seems a strange choice for a positive-definite
symmetric matrix (and has no check for positive-definiteness).
.SH REFERENCES
B. D. Ripley (1987)
.ul
Stochastic Simulation.
Wiley. Page 98.
.SA
`rnorm'
.EX
> Sigma <- matrix(c(10,3,3,2),2,2)
> Sigma
     [,1] [,2] 
[1,]   10    3
[2,]    3    2
> var(mvrnorm(rep(0, 2), Sigma, 1000))
         [,1]     [,2] 
[1,] 9.906492 3.030130
[2,] 3.030130 2.020929
.KW distribution
.WR
