uprompt <- function(object, ...) UseMethod()

uprompt.data.frame <-
  function(object, filename = paste(name, ".d", sep = ""))
{
  name <- deparse(substitute(object))
  file <- c(".BG D", paste(".FN", name), 
	    ".TL", "~1-line descr of data frame", 
	    ".SH SUMMARY", 
	    paste("The `", name, "' data frame has ", 
		  nrow(object), " rows and ", ncol(object), 
		  " columns.", sep = ""),
	    "~give succinct details here", 
	    ".SH \"DATA DESCRIPTION\"", 
	    "This data frame contains the following columns:")
  arg.names <- names(object)
  n <- length(arg.names)
  tmp <- character(2 * n)
  tmp[2 * (1:n) - 1] <- paste(".AG", arg.names)
  tmp[2 * (1:n)] <- paste("~Describe", arg.names, "here")
  file <- c(file, tmp, 
	    ".SH SOURCE", "~put the source of the data here", 
	    "~make other sections like NOTE and WARNING with .SH", 
	    ".SA", "~put related datasets or functions here", 
	    ".EX", "~put examples of use of the data here", 
	    ".KW sysdata", 
	    ".WR")
  cat(file, file = filename, sep = "\n")
  cat("created file named ", filename, " in the current directory\n")
}

uprompt.default <-
  function(name, filename = paste(name, ".d", sep = ""))
{
  name <- substitute(name)
  if(is.language(name) && !is.name(name)) name <- eval(name)
  name <- as.character(name)
  fn <- get(name)
  if(!is.function(fn)) {
    file <- c(".BG D", paste(".FN", name), ".TL", 
	      "~1-line descr of data object", ".PP", 
	      "~~Describe it here", ".KW sysdata", ".WR")
  } else {
    n <- length(fn) - 1
    if(n > 0) {
      s <- 1:n
      args <- fn[s]
      arg.names <- names(args)
    } else s <- integer(0)
    file <- c(".BG", paste(".FN", name), 
	      ".TL", "~function to do ???", 
	      ".DN", "~brief description", 
	      ".CS")
    call <- paste(name, "(", sep = "")
    for(i in s) {
      if(mode(args[[i]]) == "missing")
	call <- paste(call, arg.names[i], sep = "")
      else call <- paste(call, arg.names[i], "=", 
			   deparse(args[[i]]), sep = "")
      if(i != n) call <- paste(call, ", ", sep = "")
    }
    file <- c(file, paste(call, ")", sep = ""), 
	      ".RA", 
	      ".OA", 
	      "~move the above line to just above the first optional argument"
	      )
    for(i in s)
      file <- c(file, paste(".AG", arg.names[i]), 
		paste("~Describe", arg.names[i], "here"))
    file <- c(file, ".RT", "~Describe the value returned", 
	      ".SE", "~describe any side effects if they exist", 
	      ".DT", "~explain details here.", 
	      ".SH REFERENCES", 
	      "~put references here, make other sections like NOTE and WARNING with .SH",
	      ".SA", "~put functions to SEE ALSO here", 
	      ".EX", 

	      ".KW ~keyword", ".WR")
  }
  cat(file, file = filename, sep = "\n")
  cat("created file named ", filename, " in the current directory\n")
}
